# eric6.Preferences.ConfigurationPages.EditorStylesPage

Module implementing the Editor Styles configuration page.

### Global Attributes

None

### Classes

EditorStylesPage | Class implementing the Editor Styles configuration page.

### Functions

create | Module function to create the configuration page.

## EditorStylesPage

Class implementing the Editor Styles configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorStylesPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorStylesPage | Constructor
on_annotationsErrorBgButton_clicked | Private slot to set the background colour of the error annotations.
on_annotationsErrorFgButton_clicked | Private slot to set the foreground colour of the error annotations.
on_annotationsStyleWarningBgButton_clicked | Private slot to set the background colour of the style annotations.
on_annotationsStyleWarningFgButton_clicked | Private slot to set the foreground colour of the style annotations.
on_annotationsWarningBgButton_clicked | Private slot to set the background colour of the warning annotations.
on_annotationsWarningFgButton_clicked | Private slot to set the foreground colour of the warning annotations.
on_defaultFontButton_clicked | Private method used to select the default font for the editor.
on_linenumbersFontButton_clicked | Private method used to select the font for the editor margins.
on_monospacedFontButton_clicked | Private method used to select the font to be used as the monospaced font.
polishPage | Public slot to perform some polishing actions.
save | Public slot to save the Editor Styles configuration.

### Static Methods

None

#### EditorStylesPage (Constructor)

EditorStylesPage()

Constructor

#### EditorStylesPage.on_annotationsErrorBgButton_clicked

on_annotationsErrorBgButton_clicked()

Private slot to set the background colour of the error annotations.

#### EditorStylesPage.on_annotationsErrorFgButton_clicked

on_annotationsErrorFgButton_clicked()

Private slot to set the foreground colour of the error annotations.

#### EditorStylesPage.on_annotationsStyleWarningBgButton_clicked

on_annotationsStyleWarningBgButton_clicked()

Private slot to set the background colour of the style annotations.

#### EditorStylesPage.on_annotationsStyleWarningFgButton_clicked

on_annotationsStyleWarningFgButton_clicked()

Private slot to set the foreground colour of the style annotations.

#### EditorStylesPage.on_annotationsWarningBgButton_clicked

on_annotationsWarningBgButton_clicked()

Private slot to set the background colour of the warning annotations.

#### EditorStylesPage.on_annotationsWarningFgButton_clicked

on_annotationsWarningFgButton_clicked()

Private slot to set the foreground colour of the warning annotations.

#### EditorStylesPage.on_defaultFontButton_clicked

on_defaultFontButton_clicked()

Private method used to select the default font for the editor.

#### EditorStylesPage.on_linenumbersFontButton_clicked

on_linenumbersFontButton_clicked()

Private method used to select the font for the editor margins.

#### EditorStylesPage.on_monospacedFontButton_clicked

on_monospacedFontButton_clicked()

Private method used to select the font to be used as the monospaced font.

#### EditorStylesPage.polishPage

polishPage()

Public slot to perform some polishing actions.

#### EditorStylesPage.save

save()

Public slot to save the Editor Styles configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up